<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta http-equiv="CACHE-CONTROL" CONTENT="NO-CACHE">
	<meta http-equiv="expires" content="0">
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<?php
	include "menu.php";
	?>

<?php

//$json_string = file_get_contents("http://api.wunderground.com/api/YOUR-API-KEY-HERE/forecast/conditions/alerts/lang:DL/q/DE/brietlingen.json");
$json_string = file_get_contents("brietlingen.json"); // for offline testing only
$parsed_json = json_decode($json_string);

// current conditions
 $icon_url = $parsed_json->{'current_observation'}->{'icon'};
 $location = $parsed_json->{'current_observation'}->{'display_location'}->{'full'};
 $temp_c = $parsed_json->{'current_observation'}->{'temp_c'};
 $relative_humidity = $parsed_json->{'current_observation'}->{'relative_humidity'};
 $wind_direction = $parsed_json->{'current_observation'}->{'wind_dir'};
 $weather = $parsed_json->{'current_observation'}->{'weather'};
 $wind_speed = $parsed_json->{'current_observation'}->{'wind_kph'}." km/h";
 
// forecast
 $forecast = $parsed_json->{'forecast'}->{'txt_forecast'}->{'forecastday'};
 $simpleforecast = $parsed_json->{'forecast'}->{'simpleforecast'}->{'forecastday'};

/* DayNumber is 0 = today, 1 = tomorrow, 2 = day after tomorrow max 6 */
 function getDay($DayNumber)
 {
 global $forecast, $simpleforecast;

$result = null;
 $day = $forecast[$DayNumber];
 $result['dayofweek'] = $day->{'title'};
 $result['text'] = $day->{'fcttext_metric'};
 $day_array = explode('.',$result['text']);
 
 $result['weekday'] = $simpleforecast[$DayNumber]->{'date'}->{'weekday'};
 $result['forecast_weather'] = $simpleforecast[$DayNumber]->{'conditions'}; // "conditions": "Teils Wolkig",
 $result['icon'] = $simpleforecast[$DayNumber]->{'icon'}; // "icon_url": "http://icons-ak.wxug.com/i/c/k/partlycloudy.gif",
 $result['forecast_high'] = "Max: ".$simpleforecast[$DayNumber]->{'high'}->{'celsius'}." °C";
 $result['forecast_low'] = "Min: ".$simpleforecast[$DayNumber]->{'low'}->{'celsius'}." °C";
 $result['forecast_humidity'] = "Luftfeuchtigkeit: ".$simpleforecast[$DayNumber]->{'avehumidity'}."%";
 $result['forecast_wind'] = "Wind: ".$simpleforecast[$DayNumber]->{'avewind'}->{'kph'}." km/h";
 $result['forecast_winddirection'] = $simpleforecast[$DayNumber]->{'avewind'}->{'dir'}; // 
 $result['forecast_rainrisk'] = "Regen: ".$simpleforecast[$DayNumber]->{'pop'}."%"; // probability of precipitation = regenwahrscheinlichkeit

return $result;
 }

function printDay($day,$title)
 {
 return "<p><b>".$day['weekday']."</b><br><br>

<img src='http://icons.wxug.com/i/c/k/".$day['icon'].".gif' height=60px/> <br>
".$day['forecast_weather']."
<br/>
".$day['forecast_high']."
<br/>
".$day['forecast_low']."
</br>
".$day['forecast_rainrisk']."
</br>
".$day['forecast_wind']."
</br>
".$day['forecast_winddirection']."</p>";
 }

 $Today = printDay(getDay(0),"Vorhersage Heute:");
 $Tomorrow = printDay(getDay(1),"Vorhersage Morgen:");
 $DayAfterTomorrow = printDay(getDay(2),"Vorhersage Übermorgen:");
 $DayAfterAfterTomorrow = printDay(getDay(3),"Vorhersage Über Übermorgen:");

echo "<h1>$location</h1>";
echo "<p>Aktuell: $weather <img src=http://icons.wxug.com/i/c/k/$icon_url.gif height=80px> <br/> Temperatur: $temp_c °C <br/> Wind aus: $wind_direction mit ".$wind_speed."</p>";

echo '<table border="0">';
echo "<tr>";
echo "<td><p>$Today</p></td>";
echo "<td><p>$Tomorrow</p></td>";
echo "<td><p>$DayAfterTomorrow</p></td>";
echo "<td><p>$DayAfterAfterTomorrow</p></td>";
echo "</tr>";
?>

</body>
</html>
